| Home | Libraries | People | FAQ | More

##### remove(value_type const &)

Remove a value from the container.

###### Description

In contrast to the ``std::set`` or ``std::map erase()`` method this method removes only one value from the container.

###### Synopsis

    size_type remove(value_type const & value)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`value_type` `const &` | `value` | The value which will be removed from the container.

###### Returns

1 if the value was removed, 0 otherwise.

###### Throws

- If Value copy constructor or copy assignment throws.
- If allocation throws or returns invalid value.

| Warning
This operation only guarantees that there will be no memory leaks. After an exception is thrown the R-tree may be left in an inconsistent state, elements must not be inserted or removed. Other operations are allowed however some of them may return invalid data.